### File

`src/ngx-cache-layer.interfaces.ts`

### Index

###### Properties

- config
- items
- name

### Properties

config
`config: `CacheServiceConfigInterface``
Type : `CacheServiceConfigInterface`
Defined in src/ngx-cache-layer.interfaces.ts:15

items
`items: `any``
Type : `any`
Defined in src/ngx-cache-layer.interfaces.ts:16

name
`name: `string``
Type : `string`
Defined in src/ngx-cache-layer.interfaces.ts:14

    export interface CacheLayerItem<T> {
      key: string;
      data: T;
    }

    export class CacheServiceConfigInterface {
      deleteOnExpire?: string = 'aggressive';
      cacheFlushInterval: number = 60 * 60 * 1000;
      maxAge: number = 15 * 60 * 1000;
      localStorage: boolean;
    }

    export interface CacheLayerInterface {
      name: string;
      config?: CacheServiceConfigInterface;
      items?: any;
    }

# results matching ""

# No results matching ""